 var e = getApp(),
  os = e.globalData.setting,
  t = e.request,
  d = e.globalData;
Page({ 
  /**
   * 页面的初始数据
   */
  data: {
    url: os.url, //接口网址
    iurl: os.imghost,
    defimgurl: "/miniapp/images/no-head.jpg",
    list:[],
  },
  
  //图片失败，默认图片
  bind_bnerr1: function (e) {
    var th = this;
    var _errImg = e.target.dataset.errorimg;
    var _Img = e.target.dataset.img;
    if (_Img != undefined) {
      var _errObj = {};
      _errObj[_errImg] = "/miniapp/images/no-head.jpg";
      th.setData(_errObj) //注意这里的赋值方式,只是将数据列表中的此项图片路径值替换掉 ;
    }
  },
 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
	  var th=this;
	  getApp().getConfig(function(e){
		  th.setData({img:e.store_logo});
	  })
	  
      var IsEvaluate=options.IsEvaluate?options.IsEvaluate:0;
	  this.setData({IsEvaluate:parseInt(IsEvaluate) });  
	  this.get_list();  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    
  },
  
  get_list:function(){
	 var th=this;
	 var req={
		 storeId:os.stoid,
		 VIPId:getApp().globalData.userInfo.erpvipid,
		 IsEvaluate:0
	 } 	
	 if(parseInt(this.data.IsEvaluate)){
		 req.IsEvaluate=1;
	 }
	   
	 var url="/api/weshop/evaluation/FormListNew/page";  //获取评价列表 
	 getApp().request.get(url,{
		data:req,
		success:function(res){
			console.log(res);
			th.setData({is_get:1});
			if(res.data.code==0 && res.data.data && res.data.data.pageData && res.data.data.pageData.length>0){
				th.setData({list:res.data.data.pageData});
			}
		},
	}) 
  },
  
  go_evaluate(e){
	  var idx=e.currentTarget.dataset.index;
	  var item=this.data.list[idx];
	  var posno=item.PosNo;
	  getApp().goto("/packageB/pages/evaluate/evaluate?number="+posno);
  },
  
  //弹出显示商品详情
  show_pop:function(e){
	  var idx=e.currentTarget.dataset.index;
	  var item=this.data.list[idx];
	  var posno=item.PosNo;
	  var th=this;
	  //获取商品详情
	  var url="/api/weshop/evaluation/Evaluatewares/page";  
	  getApp().request.get(url,{
		  isShowLoading:true,
		  data:{storeId:os.stoid,POSNo:posno},
		  success:function(res){
			  if(res.data.code==0 && res.data.data && res.data.data.pageData && res.data.data.pageData.length>0){
				   th.setData({show_goods_list:res.data.data.pageData,sh_pop:1});
			  }
		  }
	  })
  },
  
  //关闭弹出
  close_pop:function(){
  	  this.setData({
  	  	show_goods_list:null,sh_pop:0
  	  })
  }
  
  
 
  
  
})